Commits

Victor Garcia committed 1eca1df

Add entry pages with compatibility info for soft dependencies.

Comments (0)

Files changed (22)

 \\ Category: Applications
 \\ Compatible: {{incompatible.gif | Incompatible}}
 ==== Soft Dependencies
-* [[cython | Cython]]
-* [[paramiko | paramiko]]
-* [[pycrypto | Python Cryptography Toolkit (PyCrypto)]]
-* [[pyrex | Pyrex]]
+* [[cython | Cython]] {{incompatible.gif | Incompatible}}
+* [[paramiko | paramiko]] {{unknown.gif | Compatibility Unknown}}
+* [[pycrypto | Python Cryptography Toolkit (PyCrypto)]] {{incompatible.gif | Incompatible}}
+* [[pyrex | Pyrex]] {{incompatible.gif | Incompatible}}
 \\ Category: Networking libraries
 \\ Compatible: {{compatible.gif | Compatible}}
 ==== Soft Dependencies
-* [[pycryptopp | pycryptopp]]
+* [[pycryptopp | pycryptopp]] {{unknown.gif | Compatibility Unknown}}
 \\ Category: Frameworks and application servers
 \\ Compatible: {{compatible.gif | Compatible}}
 ==== Soft Dependencies
-* [[bjoern | bjoern]]
-* [[cheetah | Cheetah]]
-* [[cherrypy | CherryPy]]
-* [[fapws3 | FAPWS]]
-* [[gae | GAE (Google App Engine)]]
-* [[jinja2 | Jinja2]]
-* [[mako | Mako]]
-* [[paste | Paste]]
+* [[bjoern | bjoern]] {{unknown.gif | Compatibility Unknown}}
+* [[cheetah | Cheetah]] {{unknown.gif | Compatibility Unknown}}
+* [[cherrypy | CherryPy]] {{unknown.gif | Compatibility Unknown}}
+* [[fapws3 | FAPWS]] {{unknown.gif | Compatibility Unknown}}
+* [[gae | GAE (Google App Engine)]] {{unknown.gif | Compatibility Unknown}}
+* [[jinja2 | Jinja2]] {{compatible.gif | Compatible}}
+* [[mako | Mako]] {{compatible.gif | Compatible}}
+* [[paste | Paste]] {{compatible.gif | Compatible}}
 \\ Category: Frameworks and application servers
 \\ Compatible: {{compatible.gif | Compatible}}
 ==== Soft Dependencies
-* [[cx_oracle | cx_Oracle]]
-* [[modwsgi | modwsgi]]
-* [[mysql-python | MySQL-Python (MySQLdb)]]
-* [[psycopg2 | Psycopg2]]
-* [[pysqlite | pysqlite (sqlite3)]]
+* [[cx_oracle | cx_Oracle]] {{unknown.gif | Compatibility Unknown}}
+* [[modwsgi | modwsgi]] {{unknown.gif | Compatibility Unknown}}
+* [[mysql-python | MySQL-Python (MySQLdb)]] {{compatible.gif | Compatible}}
+* [[psycopg2 | Psycopg2]] {{compatible.gif | Compatible}}
+* [[pysqlite | pysqlite (sqlite3)]] {{compatible.gif | Compatible}}
 * [[werkzeug | Werkzeug]] {{compatible.gif | Compatible}}
 
 ==== Soft Dependencies
-* [[modwsgi | modwsgi]]
-* [[pysqlite | pysqlite (sqlite3)]]
-* [[sqlalchemy | SQLAlchemy]]
+* [[modwsgi | modwsgi]] {{unknown.gif | Compatibility Unknown}}
+* [[pysqlite | pysqlite (sqlite3)]] {{compatible.gif | Compatible}}
+* [[sqlalchemy | SQLAlchemy]] {{compatible.gif | Compatible}}
 \\ Category: Scientific libraries
 \\ Compatible: {{incompatible.gif | Incompatible}}
 ==== Hard Dependencies
-* [[c-api | C-API]] 
+* [[c-api | C-API]] {{unknown.gif | Compatibility Unknown}}
 
 \\ Category: Parsers and parser generators
 \\ Compatible: {{compatible.gif | Compatible}}
 ==== Soft Dependencies
-* [[lxml | lxml]]
+* [[lxml | lxml]] {{incompatible.gif | Incompatible}}
 \\ Category: Templating Engines
 \\ Compatible: {{compatible.gif | Compatible}}
 ==== Soft Dependencies
-* [[babel | Babel]]
-* [[markupsafe | MarkupSafe]]
-* [[setuptools | setuptools]]
+* [[babel | Babel]] {{unknown.gif | Compatibility Unknown}}
+* [[markupsafe | MarkupSafe]] {{compatible.gif | Compatible}}
+* [[setuptools | setuptools]] {{unknown.gif | Compatibility Unknown}}
 * [[markupsafe | MarkupSafe]] {{compatible.gif | Compatible}}
 
 ==== Soft Dependencies
-* [[babel | Babel]]
-* [[beaker | Beaker]]
-* [[pygments | Pygments]]
+* [[babel | Babel]] {{unknown.gif | Compatibility Unknown}}
+* [[beaker | Beaker]] {{compatible.gif | Compatible}}
+* [[pygments | Pygments]] {{compatible.gif | Compatible}}
 \\ Category: Applications
 \\ Compatible: {{unknown.gif | Compatibility Unknown}}
 ==== Soft Dependencies
-* [[c-api | C-API]]
+* [[c-api | C-API]] {{unknown.gif | Compatibility Unknown}}
 \\ Category: Scientific libraries
 \\ Compatible: {{unknown.gif | Compatibility Unknown}}
 ==== Soft Dependencies
-* [[gmpy | gmpy]]
+* [[gmpy | gmpy]] {{incompatible.gif | Incompatible}}
 \\ Category: Scientific libraries
 \\ Compatible: {{incompatible.gif | Incompatible}}
 ==== Soft Dependencies
-* [[matplotlib | matplotlib]]
-* [[numpy | Numpy]]
-* [[pydot | pydot]]
-* [[pygraphviz | PyGraphviz]]
-* [[pyparsing | Pyparsing]]
-* [[pyyaml | PyYAML]]
-* [[scipy | SciPy]]
+* [[matplotlib | matplotlib]] {{incompatible.gif | Incompatible}}
+* [[numpy | Numpy]] {{incompatible.gif | Incompatible}}
+* [[pydot | pydot]] {{compatible.gif | Compatible}}
+* [[pygraphviz | PyGraphviz]] {{unknown.gif | Compatibility Unknown}}
+* [[pyparsing | Pyparsing]] {{compatible.gif | Compatible}}
+* [[pyyaml | PyYAML]] {{compatible.gif | Compatible}}
+* [[scipy | SciPy]] {{unknown.gif | Compatibility Unknown}}
 \\ Category: Scientific libraries
 \\ Compatible: {{incompatible.gif | Incompatible}}
 ==== Hard Dependencies
-* [[c-api | C-API]] 
+* [[c-api | C-API]] {{unknown.gif | Compatibility Unknown}}
 * [[swig | SWIG]] {{incompatible.gif | Incompatible}}
 
 \\ Category: DB adaptors
 \\ Compatible: {{compatible.gif | Compatible}}
 ==== Hard Dependencies
-* [[c-api | C-API]] 
+* [[c-api | C-API]] {{unknown.gif | Compatibility Unknown}}
 
 \\ Category: GUI library bindings
 \\ Compatible: {{incompatible.gif | Incompatible}}
 ==== Hard Dependencies
-* [[c-api | C-API]] 
+* [[c-api | C-API]] {{unknown.gif | Compatibility Unknown}}
 
 ==== Soft Dependencies
-* [[numpy | Numpy]]
+* [[numpy | Numpy]] {{incompatible.gif | Incompatible}}

python_imaging_library.wiki

 \\ Category: Game/Multimedia libraries
 \\ Compatible: {{compatible.gif | Compatible}}
 ==== Hard Dependencies
-* [[c-api | C-API]] 
+* [[c-api | C-API]] {{unknown.gif | Compatibility Unknown}}
 
 ==== Soft Dependencies
-* [[tkinter | Tkinter]]
+* [[tkinter | Tkinter]] {{incompatible.gif | Incompatible}}
 \\ Category: Parsers and parser generators
 \\ Compatible: {{compatible.gif | Compatible}}
 ==== Soft Dependencies
-* [[c-api | C-API]]
-* [[cython | Cython]]
+* [[c-api | C-API]] {{unknown.gif | Compatibility Unknown}}
+* [[cython | Cython]] {{incompatible.gif | Incompatible}}

reportlab_toolkit.wiki

 \\ Category: Document generation
 \\ Compatible: {{compatible.gif | Compatible}}
 ==== Hard Dependencies
-* [[c-api | C-API]] 
+* [[c-api | C-API]] {{unknown.gif | Compatibility Unknown}}
 * [[python imaging library | Python Imaging Library (PIL)]] {{compatible.gif | Compatible}}
 
 \\ Category: Code/wrapper generators
 \\ Compatible: {{compatible.gif | Compatible}}
 ==== Hard Dependencies
-* [[c-api | C-API]] 
+* [[c-api | C-API]] {{unknown.gif | Compatibility Unknown}}
 
 \\ Category: ORMs
 \\ Compatible: {{compatible.gif | Compatible}}
 ==== Soft Dependencies
-* [[c-api | C-API]]
-* [[mysql connector/python | MySQL Connector/Python]]
-* [[pg8000 | pg8000]]
-* [[psycopg2 | Psycopg2]]
-* [[pyodbc | pyodbc]]
-* [[py-postgresql | py-postgresql]]
-* [[pysqlite | pysqlite (sqlite3)]]
+* [[c-api | C-API]] {{unknown.gif | Compatibility Unknown}}
+* [[mysql connector/python | MySQL Connector/Python]] {{unknown.gif | Compatibility Unknown}}
+* [[pg8000 | pg8000]] {{compatible.gif | Compatible}}
+* [[psycopg2 | Psycopg2]] {{compatible.gif | Compatible}}
+* [[pyodbc | pyodbc]] {{unknown.gif | Compatibility Unknown}}
+* [[py-postgresql | py-postgresql]] {{incompatible.gif | Incompatible}}
+* [[pysqlite | pysqlite (sqlite3)]] {{compatible.gif | Compatible}}
 * [[mpmath | mpmath]] {{unknown.gif | Compatibility Unknown}}
 
 ==== Soft Dependencies
-* [[numpy | Numpy]]
-* [[cython | Cython]]
+* [[numpy | Numpy]] {{incompatible.gif | Incompatible}}
+* [[cython | Cython]] {{incompatible.gif | Incompatible}}
 * [[setuptools | setuptools]] {{unknown.gif | Compatibility Unknown}}
 
 ==== Soft Dependencies
-* [[babel | Babel]]
-* [[bazaar | Bazaar]]
-* [[docutils | Docutils]]
-* [[mysql-python | MySQL-Python (MySQLdb)]]
-* [[psycopg2 | Psycopg2]]
-* [[pygments | Pygments]]
-* [[pysqlite | pysqlite (sqlite3)]]
-* [[pytz | pytz]]
-* [[subversion | Subversion (svn)]]
+* [[babel | Babel]] {{unknown.gif | Compatibility Unknown}}
+* [[bazaar | Bazaar]] {{incompatible.gif | Incompatible}}
+* [[docutils | Docutils]] {{compatible.gif | Compatible}}
+* [[mysql-python | MySQL-Python (MySQLdb)]] {{compatible.gif | Compatible}}
+* [[psycopg2 | Psycopg2]] {{compatible.gif | Compatible}}
+* [[pygments | Pygments]] {{compatible.gif | Compatible}}
+* [[pysqlite | pysqlite (sqlite3)]] {{compatible.gif | Compatible}}
+* [[pytz | pytz]] {{compatible.gif | Compatible}}
+* [[subversion | Subversion (svn)]] {{incompatible.gif | Incompatible}}